@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_workflowactions-variables.scss";

.yw-workflow-actions-list {
	&.z-listbox {
		overflow-y: auto;
		height: 100%;
		border: 0;
	}

	&-bottom {
		padding: $workflowactions__list-bottom--padding;
		text-align: right;

		&-start {
			float: left;
		}
	}
	.z-listitem {
		&, &-selected {
			&, &:hover {
				background-color: transparent;
			}
		}
		&:hover {
			cursor: default;
		}
	}
	&-item {
		text-align: left;
		
		&:last-child > .z-listcell {
			border-bottom-width: $workflowactions__list-item--border-width;
			border-bottom-style: solid;
			margin-bottom: $workflowactions__list-item-last--margin-bottom;
		}
		.z-listcell {
			border-color: $workflowactions__list-item--border-color;
			
			> .z-listcell-content {
				padding: $workflowactions__list-item-content--padding;
			}
		}
		.yw-workflow-actions-list  &.z-listitem-selected {
			background-color: transparent;
		}
		.yw-workflow-actions-list &, 
		.yw-workflow-actions-list &.z-listitem-selected {
			&:hover, &:hover {
				background-color: $workflowactions__list-item-hover--bg-color;
			}
		}
		&:hover {
			button.yw-workflow-actions-list-title {
				text-decoration: underline;
			}
		}
	}

	&-content {
		padding: $workflowactions__list-content--padding;

		&-middle,
		&-bottom {
			padding: $workflowactions__list-inner-content--padding;
		}
		.z-label {
			max-width: 100%;
			white-space: normal;
		}
	}

	&-info {
		&-container {
			padding-top: $workflowactions__list-info-container--padding-top;
			display: table;
			width: 100%;
		}
		&.z-label {
			display: table-cell;
			padding-right: $workflowactions__list-info-label--padding-x;

			&:last-child {
				text-align: right;
				padding-right: 0;
				padding-left: $workflowactions__list-info-label--padding-x;
			}
		}
	}

	.yw-workflow-actions-list-title {
		font-weight: $workflowactions__list-title--font-weight;
		font-size: $workflowactions__list-title--font-size;
		color: $workflowactions__list-title--color;
		display: inline-block;

		&:hover {
			color: $workflowactions__hyperlink-hover--color;
			text-decoration: underline;
		}
	}
	
	tbody.z-listbox-emptybody td {
		background: transparent;
	}
}